Package net.shibboleth.idp.profile.spring.factory

# Class FlowModelFlowBuilder

java.lang.Object
org.springframework.webflow.engine.builder.support.AbstractFlowBuilder
org.springframework.webflow.engine.builder.model.FlowModelFlowBuilder
net.shibboleth.idp.profile.spring.factory.FlowModelFlowBuilder

All Implemented Interfaces:
  `FlowBuilder`

public class FlowModelFlowBuilder extends FlowModelFlowBuilder
This is subclassed in order to customize the Spring `ApplicationContext` used for flow configuration.

## Field Summary

### Fields inherited from class org.springframework.webflow.engine.builder.model.FlowModelFlowBuilder

`VALIDATION_HINT_RESOLVER_FLOW_ATTR, VALIDATOR_FLOW_ATTR`

## Constructor Summary

Constructors
Constructor
Description
`FlowModelFlowBuilder(FlowModelHolder flowModelHolder)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected GenericApplicationContext`
`createFlowApplicationContext()`
`private GenericApplicationContext`
`createFlowApplicationContext(String[] resources)`
Create our own `GenericApplicationContext` using our own builder logic.
`private String[]`
`parseContextResources(List<BeanImportModel> beanImports)`
Pull out the imported resources as Strings so we can resolve them later.

### Methods inherited from class org.springframework.webflow.engine.builder.model.FlowModelFlowBuilder

`buildEndActions, buildExceptionHandlers, buildGlobalTransitions, buildInputMapper, buildOutputMapper, buildStartActions, buildStates, buildVariables, createFlow, doDispose, doInit, getFlowModel, getFlowModelHolder, getFlowResourceString, getLocalContext, hasFlowChanged, registerFlowBeans, setLocalContext, toString`

### Methods inherited from class org.springframework.webflow.engine.builder.support.AbstractFlowBuilder

`dispose, getContext, getFlow, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FlowModelFlowBuilder

public FlowModelFlowBuilder(FlowModelHolder flowModelHolder)
Constructor.

Parameters:
  `flowModelHolder` - the flow model holder

## Method Details

### createFlowApplicationContext

protected GenericApplicationContext createFlowApplicationContext()

Overrides:
  `createFlowApplicationContext` in class `FlowModelFlowBuilder`

### parseContextResources

@Nonnull private String[] parseContextResources(@Nullable List<BeanImportModel> beanImports)
Pull out the imported resources as Strings so we can resolve them later.

Parameters:
  `beanImports` - the imports
Returns:
  the imported resource paths

### createFlowApplicationContext

private GenericApplicationContext createFlowApplicationContext(@Nonnull String[] resources)
Create our own `GenericApplicationContext` using our own builder logic.

Parameters:
  `resources` - the imports
Returns:
  the context